> For the complete documentation index, see [llms.txt](https://legacy-docs.aragon.org/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://legacy-docs.aragon.org/developers/tools/aragonos/smart-contract-references/factory/appproxyfactory.md).

# AppProxyFactory

## contract AppProxyFactory

Source: [contracts/factory/AppProxyFactory.sol](https://github.com/aragon/aragonOS/blob/v4.4.0/contracts/factory/AppProxyFactory.sol)

## Index

* [NewAppProxy](#newappproxy)
* [newAppProxy](#newappproxy-1)
* [newAppProxy](#newappproxy-2)
* [newAppProxyPinned](#newappproxypinned)
* [newAppProxyPinned](#newappproxypinned-1)

## Reference

### Events

#### **NewAppProxy** <a href="#newappproxy" id="newappproxy"></a>

` event`` `` `**`NewAppProxy`**`(address proxy, bool isUpgradeable, bytes32 appId)`

***

Parameters:

* `proxy` - address
* `isUpgradeable` - bool
* `appId` - bytes32

### Functions

#### **newAppProxy** <a href="#newappproxy" id="newappproxy"></a>

` function`` `` `**`newAppProxy`**`(IKernel _kernel, bytes32 _appId) public returns (AppProxyUpgradeable)`

***

Create a new upgradeable app instance on \`\_kernel\` with identifier \`\_appId\`.

Parameters:

* `_kernel` - App's Kernel reference
* `_appId` - Identifier for app

Returns:

* AppProxyUpgradeable

#### **newAppProxy** <a href="#newappproxy" id="newappproxy"></a>

` function`` `` `**`newAppProxy`**`(IKernel _kernel, bytes32 _appId, bytes _initializePayload) public returns (AppProxyUpgradeable)`

***

Create a new upgradeable app instance on \`\_kernel\` with identifier \`\_appId\` and initialization payload \`\_initializePayload\`.

Parameters:

* `_kernel` - App's Kernel reference
* `_appId` - Identifier for app
* `_initializePayload` - bytes

Returns:

* AppProxyUpgradeable

#### **newAppProxyPinned** <a href="#newappproxypinned" id="newappproxypinned"></a>

` function`` `` `**`newAppProxyPinned`**`(IKernel _kernel, bytes32 _appId) public returns (AppProxyPinned)`

***

Create a new pinned app instance on \`\_kernel\` with identifier \`\_appId\`.

Parameters:

* `_kernel` - App's Kernel reference
* `_appId` - Identifier for app

Returns:

* AppProxyPinned

#### **newAppProxyPinned** <a href="#newappproxypinned" id="newappproxypinned"></a>

` function`` `` `**`newAppProxyPinned`**`(IKernel _kernel, bytes32 _appId, bytes _initializePayload) public returns (AppProxyPinned)`

***

Create a new pinned app instance on \`\_kernel\` with identifier \`\_appId\` and initialization payload \`\_initializePayload\`.

Parameters:

* `_kernel` - App's Kernel reference
* `_appId` - Identifier for app
* `_initializePayload` - Proxy initialization payload

Returns:

* AppProxyPinned


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://legacy-docs.aragon.org/developers/tools/aragonos/smart-contract-references/factory/appproxyfactory.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
